export default class TextIterator {
    private cursor;
    private chunk;
    private line;
    private ch;
    private sliceBegin;
    feedChunk(chunk: string): void;
    markSliceBegin(): void;
    getSlice(): string;
    nextChar(): string;
    currentChar(): string;
    currentCharCode(): number;
    nextCharCode(): number;
    hasNext(): boolean;
    getLine(): number;
    getCh(): number;
}
